xmlpp::exception Class Reference

Base class for all xmlpp exceptions. More...

`#include <libxml++/exceptions/exception.h>`

Inheritance diagram for xmlpp::exception:

## Public Member Functions

| exception (const Glib::ustring & message)
| ~exception () noexcept override
virtual exception * | clone () const
virtual void | raise () const
const char * | what () const noexcept override

## Detailed Description

Base class for all xmlpp exceptions.

## Constructor & Destructor Documentation

## exception()

xmlpp::exception::exception | ( | const Glib::ustring & | message | ) |

explicit

## ~exception()

xmlpp::exception::~exception | ( |  | ) |

override noexcept

## Member Function Documentation

## clone()

virtual exception * xmlpp::exception::clone | ( |  | ) | const

virtual

Reimplemented in xmlpp::internal_error, xmlpp::parse_error, and xmlpp::validity_error.

## raise()

virtual void xmlpp::exception::raise | ( |  | ) | const

virtual

Reimplemented in xmlpp::internal_error, xmlpp::parse_error, and xmlpp::validity_error.

## what()

const char * xmlpp::exception::what | ( |  | ) | const

override virtual noexcept

Reimplemented from std::exception.